Apache Tomcat 7.0.42

## org.apache.jasper.compiler
Class TldLocation

    java.lang.Object
      org.apache.jasper.compiler.TldLocation

    public class TldLocation

extends Object

Constructor Summary
`TldLocation(String entryName)`
`TldLocation(String entryName, JarResource jarResource)`
`TldLocation(String entryName, String resourceUrl)`

Method Summary
`JarResource` `getJarResource()`
`String` `getName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TldLocation

    public TldLocation(String entryName)

### TldLocation

    public TldLocation(String entryName,
                       String resourceUrl)

### TldLocation

    public TldLocation(String entryName,
                       JarResource jarResource)

Method Detail

### getName

    public String getName()

  Returns:
    The name of the tag library.

### getJarResource

    public JarResource getJarResource()

  Returns:
    The jar resource the tag library is contained in. Might return null if the tag library is not contained in jar resource.

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.